## libkleo 24.12.0

=== debian/changelog ===
libkleo (4:24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:07 +0100

libkleo (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:37:54 +0100

libkf5libkleo (4:22.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch libgpgmepp-dev B-D to libqgpgme-dev (Closes: #1078480).

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 Aug 2024 18:26:51 +0200
