=== debian/control ===
--- 
+++ 
@@ -6,25 +6,25 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
                libboost-dev (>= 1.34.0~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
-               libgpgmepp-dev (>= 1.21.0~),
-               libkf6codecs-dev (>= 6.3.0~),
-               libkf6colorscheme-dev (>= 6.3.0~),
-               libkf6completion-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6itemmodels-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.3.0~),
+               libgpgmepp-dev (>= 1.23.2~),
+               libkf6codecs-dev (>= 6.6.0~),
+               libkf6colorscheme-dev (>= 6.6.0~),
+               libkf6completion-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6itemmodels-dev (>= 6.6.0~),
+               libkf6widgetsaddons-dev (>= 6.6.0~),
                libkpimtextedit-dev (>= 24.08.0~),
-               libqgpgmeqt6-dev (>= 1.21.0~),
+               libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/libkleo
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkleo
@@ -49,8 +49,8 @@
 Multi-Arch: same
 Depends: libgpgme-dev (>= 1.21.0~),
          libkpim6libkleo6 (= ${binary:Version}),
-         libqgpgmeqt6-dev (>= 1.21.0~),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         libqgpgmeqt6-dev (>= 1.23.2~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Description: KDE PIM cryptographic library, devel files
  This package contains the development files for libkleo, a library for
