## libkleo 24.12.3

=== debian/changelog ===
libkleo (4:24.12.3-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 May 2025 23:43:40 +0200

libkleo (4:24.12.3-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Add Breaks+Replace for libkpim6libkleo6 against libkf5libkleo5 to
    smoothen upgrades.

 -- Patrick Franz <deltaone@debian.org>  Sun, 25 May 2025 10:05:44 +0200

libkleo (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Remove redundant build-dependencies.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:49:16 +0100
