=== debian/control ===
--- 
+++ 
@@ -20,12 +20,11 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 24.08.0~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/libkleo
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkleo
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkleo.git
@@ -63,6 +62,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkleo-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkf5libkleo5,
+Replaces: libkf5libkleo5,
 Description: KDE PIM cryptographic library
  This package contains libkleo, a library for Kleopatra and other parts of KDE
  using certificate-based crypto.
