=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libkleo
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                libboost-dev (>= 1.34.0~),
@@ -20,14 +21,15 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
+               libkpimtextedit-dev (>= 25.04.0~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/libkleo
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkleo
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkleo.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkleo
 Rules-Requires-Root: no
 
 Package: libkleo-data
@@ -62,8 +64,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkleo-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5libkleo5,
-Replaces: libkf5libkleo5,
 Description: KDE PIM cryptographic library
  This package contains libkleo, a library for Kleopatra and other parts of KDE
  using certificate-based crypto.
