## libkleo 25.04.2

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -87,3 +87,8 @@
     TEST_NAME keyparameterstest
     LINK_LIBRARIES KPim6::Libkleo Gpgmepp Qt::Test
 )
+
+ecm_add_tests(
+    stringutilstest.cpp
+    LINK_LIBRARIES KPim6::Libkleo Qt::Test
+)
