## libkleo 25.07.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.4.80")
 
 project(libkleo VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.14.0")
 
 if(WIN32)
   set(KF6_WANT_VERSION ${KF_MIN_VERSION})
@@ -13,6 +13,10 @@
 else ()
   set(KF6_WANT_VERSION ${KF_MIN_VERSION})
 endif()
+
+set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 find_package(ECM ${KF6_WANT_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -27,7 +31,6 @@
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 
-include(FeatureSummary)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
@@ -60,6 +63,9 @@
 if(Gpgmepp_VERSION VERSION_GREATER_EQUAL "1.24.0")
     set(GPGMEPP_ERROR_HAS_ASSTDSTRING 1)
 endif()
+if(Gpgmepp_VERSION VERSION_GREATER_EQUAL "1.24.1")
+    set(GPGMEPP_SUPPORTS_KYBER 1)
+endif()
 find_package(${QGPGME_NAME} ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
 
 find_package(LibGpgError ${GPG_ERROR_REQUIRED_VERSION} REQUIRED)
@@ -67,8 +73,12 @@
   TYPE REQUIRED
 )
 
-find_package(Boost 1.34.0)
-set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "https://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required for building most KDEPIM applications")
+find_package(Boost 1.70.0 CONFIG)
+set_package_properties(Boost PROPERTIES
+    TYPE REQUIRED
+    DESCRIPTION "Boost C++ Libraries"
+    URL "https://www.boost.org")
+
 ecm_setup_version(PROJECT VARIABLE_PREFIX LIBKLEO
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libkleo_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6LibkleoConfigVersion.cmake"
@@ -76,7 +86,7 @@
 )
 
 ########### Targets ###########
-ecm_set_disabled_deprecation_versions(QT 6.3  KF 6.8.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.16.0)
 
 remove_definitions(-DQT_NO_FOREACH)
 add_definitions(-DQT_NO_EMIT)
