=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6itemmodels-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 25.07.90~),
+               libkpimtextedit-dev (>= 25.08.0~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                libxkbcommon-dev,
                pkgconf,
