## libkleo 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.4.80")
+set(PIM_VERSION "6.5.1")
 
 project(libkleo VERSION ${PIM_VERSION})
