=== debian/control ===
Source: libkleo
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libboost-dev (>= 1.70.0~),
               libgpg-error-dev (>= 1.36~),
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libkf6codecs-dev (>= 6.14.0~),
               libkf6colorscheme-dev (>= 6.14.0~),
               libkf6completion-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libqgpgmeqt6-dev (>= 1.23.2~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/libkleo
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkleo
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkleo.git
Rules-Requires-Root: no

Package: libkleo-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5libkleo-data,
Replaces: libkf5libkleo-data,
Description: KDE PIM cryptographic library, data files
 This package contains the data files used by libkleo, a library for Kleopatra
 and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkleo-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgpgme-dev (>= 1.21.0~),
         libkpim6libkleo6 (= ${binary:Version}),
         libqgpgmeqt6-dev (>= 1.23.2~),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: KDE PIM cryptographic library, devel files
 This package contains the development files for libkleo, a library for
 Kleopatra and other parts of KDE using certificate-based crypto.
 .
 This package is part of the KDE PIM module.

Package: libkpim6libkleo6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkleo-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5libkleo5,
Replaces: libkf5libkleo5,
Description: KDE PIM cryptographic library
 This package contains libkleo, a library for Kleopatra and other parts of KDE
 using certificate-based crypto.
 .
 This package is part of the KDE PIM module.
